%define qtdir /usr/lib/qt-1.45
%define name killustrator
%define version 0.7.1
%define release 2

Summary: %{name} - a vector graphics application for KDE.
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://wwwiti.cs.uni-magdeburg.de/~sattler/pub/killustrator//%{name}-%{version}.tar.gz
Url: http://wwwiti.cs.uni-magdeburg.de/~sattler/killustrator.html
Copyright: GPL
Group: Applications/Publishing
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdesupport

%description
KIllustrator is a vector drawing program for the K Desktop
Environment. The aim of the KIllustrator project is the development of
a freely available vector-based drawing application similiar to Corel
Draw or Adobe Illustrator. I have started this project because I am
tired of switching to Windows in order to design illustrations for
papers or slides with a modern drawing tool. Now, for the Linux
operating system and of course for other Unixes the Qt toolkit and the
KDE project provide a perfect foundation for this kind of application.

%prep
%setup

%build
export QTDIR=%{qtdir} kde_htmldir=%{prefix}/doc/kde/HTML

CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG" \
./configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
  $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
  -e '/\/config\//s|^|%config|' \
  -e '\/etc\//s|^|%config|' >> \
  $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
  $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir

* Thu Jan 13 2000 Ngo Than <than@redhat.de>
- updated to 0.7.1

* Sun Sep 20 1999 Preston Brown <pbrown@redhat.com>
- updated for powertools 6.1

* Wed Aug 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the requirement of kdebase cvs.

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- 0.6.5.
